Name:           scout
Version:        0.4
Release:        8%{?dist}
Summary:        CLI interface to Tomboy notes and Gnote

Group:          Applications/Text
License:        BSD
URL:            http://github.com/lelutin/%{name}

# A stable link is here, redirects to Source0:     http://github.com/lelutin/%%{name}/tarball/v%%{version}
# I can't use it as source since source needs the name of the tar in it. 

Source0:        http://download.github.com/lelutin-%{name}-v%{version}-0-ga2ae61f.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch    

BuildRequires:  python2-devel python-setuptools
Requires:       dbus-python  python-setuptools

%description
Scout is an interface to Tomboy notes or Gnote that uses DBus to 
communicate. It presents a command-line interface and tries to be
as simple to use as possible. Different actions can be taken to 
interact with Tomboy or Gnote. Actions are simple to create, 
making the application easily extensible.

Current actions make it possible to list note names, 
display note contents, search for text inside notes and to 
delete notes.

%prep
%setup -q -n lelutin-%{name}-3b6fe1a


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}

%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py
%{python_sitelib}/%{name}/*.pyc
%{python_sitelib}/%{name}/*.pyo

%dir %{python_sitelib}/%{name}/actions
%{python_sitelib}/%{name}/actions/*.py
%{python_sitelib}/%{name}/actions/*.pyc
%{python_sitelib}/%{name}/actions/*.pyo

%dir %{python_sitelib}/scout-*-py?.?.egg-info
%{python_sitelib}/scout-*-py?.?.egg-info/*

%changelog
* Wed Mar 30 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-8
- Added a requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 16 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-6
- removed article 'A' from summary

* Sat Oct 16 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-5
- corrected license

* Thu Oct 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-4
- corrected directory ownership
- corrected macro in comment

* Wed Oct 13 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-3
- Corrected license to LGPLv2+ and BSD
- corrected directory ownership

* Wed Oct 13 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-2
- Corrected license as per bug #639594
- added comment for a stable download link 

* Sat Oct 09 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-1
- Update to latest upstream release

* Sat Oct 02 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-3
- Corrections to srpm

* Fri Sep 24 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-2
- Added noarch

* Sun Sep 19 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-1
- initial rpm build
